# Generated by Django 3.1.2 on 2020-10-10 09:21

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('octet', '0003_blobreference_labels'),
    ]

    operations = [
        migrations.CreateModel(
            name='BlobEncryptionKey',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('ct', models.BinaryField(db_column='ct', verbose_name='Ciphertext')),
                ('annotations', models.JSONField(db_column='annotations', default=dict, verbose_name='Annotations')),
            ],
            options={
                'verbose_name': 'Blob Encryption Key',
                'verbose_name_plural': 'Blob Encryption Keys',
                'db_table': 'blobencryptionkeys',
                'ordering': ['-pk'],
                'default_permissions': [],
            },
        ),
        migrations.CreateModel(
            name='EncryptedBlob',
            fields=[
                ('blob', models.OneToOneField(db_column='blob_id', on_delete=django.db.models.deletion.PROTECT, parent_link=True, primary_key=True, related_name='ciphertext', serialize=False, to='octet.blob', verbose_name='Blob')),
                ('annotations', models.JSONField(db_column='annotations', default=dict, verbose_name='Annotations')),
                ('using', models.ForeignKey(db_column='key_id', on_delete=django.db.models.deletion.PROTECT, related_name='blobs', to='octet.blobencryptionkey', verbose_name='Using')),
            ],
            options={
                'verbose_name': 'Encrypted Blob',
                'verbose_name_plural': 'Encrypted Blobs',
                'db_table': 'encryptedblobs',
                'default_permissions': [],
            },
            bases=('octet.blob',),
        ),
    ]
